﻿using System.Collections.Generic;
using System.Linq;
using Verse;

namespace PersonaBondForge {
    [StaticConstructorOnStartup]
    public static class Initializer {
        static Initializer() {
            new HarmonyLib.Harmony("StatistNo1.personabond").Patch(PersonaBondForge_Patch.PersonaBondForge_MethodBase(),
                prefix: new HarmonyLib.HarmonyMethod(typeof(PersonaBondForge_Patch).GetMethod("MakeRecipeProductsQuality")));
			AddBondedVersions(HelperClass.BondedThingDefs);
		}
		public static void AddBondedVersions(List<ThingDef_Weapon> allRangedWeapons) {
			foreach (ThingDef_Weapon bondedWeapon in allRangedWeapons) {
				Weapon_Attributes.Adapt_ThingDef(bondedWeapon);
                Weapon_Attributes.Adapt_RecipeDef(bondedWeapon);
			}
			HelperClass.updateDef(DefOf.PersonaBondForge_ThingDef_BondingBench);
		}
	}
}
